# Interface methods for submodule: BSplineSmoothingOnUpdateDisplacementFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DisplacementFieldTransformProxy as _DisplacementFieldTransformProxy


# Interface methods for class: BSplineSmoothingOnUpdateDisplacementFieldTransform
class BSplineSmoothingOnUpdateDisplacementFieldTransformProxy(_DisplacementFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def SetSplineOrder(self, _arg: int) -> None:
		""""""
		...

	def GetSplineOrder(self) -> int:
		""""""
		...

	def SetNumberOfControlPointsForTheUpdateField(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetNumberOfControlPointsForTheUpdateField(self) -> Sequence[int]:
		""""""
		...

	def SetMeshSizeForTheUpdateField(self, arg0: Sequence[int]) -> None:
		""""""
		...

	def SetNumberOfControlPointsForTheTotalField(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetNumberOfControlPointsForTheTotalField(self) -> Sequence[int]:
		""""""
		...

	def SetMeshSizeForTheTotalField(self, arg0: Sequence[int]) -> None:
		""""""
		...

	def EnforceStationaryBoundaryOn(self) -> None:
		""""""
		...

	def EnforceStationaryBoundaryOff(self) -> None:
		""""""
		...

	def SetEnforceStationaryBoundary(self, _arg: bool) -> None:
		""""""
		...

	def GetEnforceStationaryBoundary(self) -> bool:
		""""""
		...

